pgpool-II 4.6.0 Documentation
Prev | Up |  | Next

# pgpool

## Name

pgpool -- Pgpool-II main server

## Synopsis

`pgpool` [`option`...]

`pgpool` [`option`...] `stop`

`pgpool` [`option`...] `reload`

## Description

the Pgpool-II main server

## Usages

`pgpool` runs in 3 modes: start, stop and reload. If none of stop or reload is given, it is assumed that "start" is specified.

## Common options

These are common options for 3 modes.

`-a `hba_config_file``
`--hba-file=`hba_config_file``

  Set the path to the `pool_hba.conf` configuration file. Mandatory if the file is placed other than the standard location.

`-f `config_file``
`--config-file=`config_file``

  Set the path to the `pgpool.conf` configuration file. Mandatory if the file is placed other than the standard location.

`-F `pc_config_file``
`--pcp-file=`pcp_config_file``

  Set the path to the `pcp.conf` configuration file. Mandatory if the file is placed other than the standard location.

`-k `key_file``
`--key-file=`key_file``

  Set the path to the `.pgpoolkey` file. Mandatory if you use AES256 encrypted password and the file is placed other than the standard location and used.

`-h`
`--help`

  Print help.

## Starting Pgpool-II main server

Here are options for the start mode.

`-d`
`--debug`

  Run Pgpool-II in debug mode. Lots of debug messages are produced.

`-n`
`--dont-detach`

  Don't run in daemon mode, does not detach control ttys.

`-x`
`--debug-assertions`

  Turns on various assertion checks, This is a debugging aid.

`-C`
`--clear-oidmaps`

  Clear query cache oidmaps when memqcache_method is `memcached`.

  If memqcache_method is `shmem`, Pgpool-II always discards oidmaps at the start-up time. So this option is not necessary.

`-D`
`--discard-status`

  Discard `pgpool_status` file and do not restore previous status.

  Caution
  This option is testing purpose only for developers and you should not use it for other purposes. If `pgpool_status` is accidentally removed, Pgpool-II may go into split-brain (there are multiple primary servers exist).

## Stopping Pgpool-II main server

Here are options for the stop mode.

`-m `shutdown_mode``
`--mode=`shutdown_mode``

  Stop Pgpool-II. `shutdown_mode` is either `smart`, `fast` or `immediate`. If `smart` is specified, Pgpool-II will wait for all clients are disconnected. If `fast` or `immediate` are specified, Pgpool-II immediately stops itself without waiting for all clients are disconnected. There's no difference between `fast` and `immediate` in the current implementation.

## Reloading Pgpool-II configuration files

Reload configuration file of Pgpool-II. No specific options exist for reload mode. Common options are applicable.

Prev | Home | Next
Server commands | Up | PCP commands